## org.eclipse.datatools.modelbase.sql.xml.query
Class XMLContentType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.xml.query.XMLContentType

public final class XMLContentType
extends AbstractEnumerator

A representation of the literals of the enumeration 'XML Content Type', and utility methods for working with them.

See Also:
  `SQLXMLQueryModelPackage.getXMLContentType()`, Serialized Form

Field Summary
`static int` `CONTENT` The 'CONTENT' literal value.
`static XMLContentType` `CONTENT_LITERAL` The 'CONTENT' literal object.
`static int` `DOCUMENT` The 'DOCUMENT' literal value.
`static XMLContentType` `DOCUMENT_LITERAL` The 'DOCUMENT' literal object.
`static int` `NONE` The 'NONE' literal value.
`static XMLContentType` `NONE_LITERAL` The 'NONE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'XML Content Type' enumerators.

Method Summary
`static XMLContentType` `get(int value)` Returns the 'XML Content Type' literal with the specified integer value.
`static XMLContentType` `get(java.lang.String literal)` Returns the 'XML Content Type' literal with the specified literal value.
`static XMLContentType` `getByName(java.lang.String name)` Returns the 'XML Content Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONTENT

    public static final int CONTENT

  The 'CONTENT' literal value.

  See Also:
    `CONTENT_LITERAL`, Constant Field Values

### DOCUMENT

    public static final int DOCUMENT

  The 'DOCUMENT' literal value.

  See Also:
    `DOCUMENT_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'NONE' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### CONTENT_LITERAL

    public static final XMLContentType CONTENT_LITERAL

  The 'CONTENT' literal object.

  If the meaning of 'CONTENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CONTENT`

### DOCUMENT_LITERAL

    public static final XMLContentType DOCUMENT_LITERAL

  The 'DOCUMENT' literal object.

  If the meaning of 'DOCUMENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DOCUMENT`

### NONE_LITERAL

    public static final XMLContentType NONE_LITERAL

  The 'NONE' literal object.

  If the meaning of 'NONE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XML Content Type' enumerators.

Method Detail

### get

    public static XMLContentType get(java.lang.String literal)

  Returns the 'XML Content Type' literal with the specified literal value.

### getByName

    public static XMLContentType getByName(java.lang.String name)

  Returns the 'XML Content Type' literal with the specified name.

### get

    public static XMLContentType get(int value)

  Returns the 'XML Content Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.